<?php

    /**
     * PrettyWidget extends CWidget with customizing widget views
     *
     * @author Kornilov Alexey <kavolorn@gmail.com>
     * @version 2009.07.29 9:08
     */
    class PrettyWidget extends CWidget
    {
        /**
         * Contsructing view paths for our widget
         * @return array the directories containing the view files for this widget
         */
        public function getViewPath()
        {
            if (preg_match('/themes\/[a-z]+/', Yii::app()->theme->baseUrl, $match))
            {
                $paths[] = $match[0].'/components/views';
            }

            $paths[] = 'protected/components/views';

            return $paths;
        }

        /**
         * Getting correct view for our widget
         * @param string $viewName name of the view (without file extension)
         * @return string the view file path. False if the view file does not exist
         */
        public function getViewFile($viewName)
        {
            foreach ($this->getViewPath() as $path)
            {
                if (file_exists($path.'/'.$viewName.'.php'))
                {
                    return $path.'/'.$viewName.'.php';
                }
            }

            return false;
        }
    }

?>
